NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Annotations.RadialDimensionBuilder Class Reference

Represents a NXOpen.Annotations.Dimension builder More...

Inheritance diagram for NXOpen.Annotations.RadialDimensionBuilder:
NXOpen.Annotations.BaseRadialDimensionBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe
NXOpen.Annotations.TextPlacement 
GetNthSecondaryArrowheadOrientation (int nth)
 The arrowhead orientation for nth secondary dimensions More...
 
unsafe NXOpen.Point3d GetNthSecondaryOrigin (int nth)
 The origins for secondary dimensions More...
 
unsafe
NXOpen.Annotations.Dimension[] 
GetSecondaryCallouts ()
 The secondary callouts More...
 
unsafe void SetNthSecondaryArrowheadOrientation (int nth, NXOpen.Annotations.TextPlacement secondaryArrowheadOrientation)
 The arrowhead orientation for nth secondary dimensions More...
 
unsafe void SetNthSecondaryOrigin (int nth, NXOpen.Point3d secondaryOrigin)
 The origins for secondary dimensions More...
 

Properties

unsafe
NXOpen.Annotations.DrivingValueBuilder 
Driving [get]
 Returns the driving More...
 
unsafe
NXOpen.Annotations.ForeshorteningSymbolBuilder 
ForeshorteningSymbol [get]
 Returns the foreshortening symbol builder More...
 
unsafe bool IsAutoplaced [get, set]
 Returns or sets a flag to indicate if auto placement turned on. More...
 
- Properties inherited from NXOpen.Annotations.BaseRadialDimensionBuilder
unsafe
NXOpen.Annotations.AppendedTextBuilder 
AppendedText [get]
 Returns the appended text More...
 
unsafe double DiameterDimensionDimLineAngle [get, set]
 Returns or sets the diameter dimension's dimension-line-angle More...
 
unsafe NXOpen.SelectNXObject FirstAssociativity [get]
 Returns the first associativity. More...
 
unsafe
NXOpen.SelectDisplayableObject 
FoldLocation [get]
 Returns the fold location More...
 
unsafe
NXOpen.SelectDisplayableObject 
Inherit [get]
 Returns the inherit More...
 
unsafe bool IsFoldedRadius [get, set]
 Returns or sets the is folded radius More...
 
unsafe bool IsHoleStyle [get, set]
 Returns or sets the is hole style dimension More...
 
unsafe bool IsRadiusToCenter [get, set]
 Returns or sets the is radius to center More...
 
unsafe
NXOpen.Annotations.DimensionMeasurementBuilder 
Measurement [get]
 Returns the measurement More...
 
unsafe
NXOpen.SelectDisplayableObject 
OffsetCenterPoint [get]
 Returns the offset center point More...
 
unsafe
NXOpen.Annotations.OriginBuilder 
Origin [get]
 Returns the origin More...
 
unsafe
NXOpen.Annotations.StyleBuilder 
Style [get]
 Returns the style More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.Dimension builder

To create a new instance of this class, use NXOpen.Annotations.DimensionCollection.CreateRadialDimensionBuilder

Created in NX9.0.0

Member Function Documentation

unsafe NXOpen.Annotations.TextPlacement NXOpen.Annotations.RadialDimensionBuilder.GetNthSecondaryArrowheadOrientation ( int  nth)
inline

The arrowhead orientation for nth secondary dimensions

Created in NX11.0.0

License requirements: None.

Parameters
nth
Returns
unsafe NXOpen.Point3d NXOpen.Annotations.RadialDimensionBuilder.GetNthSecondaryOrigin ( int  nth)
inline

The origins for secondary dimensions

Created in NX11.0.0

License requirements: None.

Parameters
nth
Returns
unsafe NXOpen.Annotations.Dimension [] NXOpen.Annotations.RadialDimensionBuilder.GetSecondaryCallouts ( )
inline

The secondary callouts

Created in NX11.0.0

License requirements: None.

Returns
unsafe void NXOpen.Annotations.RadialDimensionBuilder.SetNthSecondaryArrowheadOrientation ( int  nth,
NXOpen.Annotations.TextPlacement  secondaryArrowheadOrientation 
)
inline

The arrowhead orientation for nth secondary dimensions

Created in NX11.0.0

License requirements: geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
nth
secondaryArrowheadOrientation
unsafe void NXOpen.Annotations.RadialDimensionBuilder.SetNthSecondaryOrigin ( int  nth,
NXOpen.Point3d  secondaryOrigin 
)
inline

The origins for secondary dimensions

Created in NX11.0.0

License requirements: geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
nth
secondaryOrigin

Property Documentation

unsafe NXOpen.Annotations.DrivingValueBuilder NXOpen.Annotations.RadialDimensionBuilder.Driving
get

Returns the driving

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Annotations.ForeshorteningSymbolBuilder NXOpen.Annotations.RadialDimensionBuilder.ForeshorteningSymbol
get

Returns the foreshortening symbol builder

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.RadialDimensionBuilder.IsAutoplaced
getset

Returns or sets a flag to indicate if auto placement turned on.

This is used to compute origins for secondary dimensions

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT") OR drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.